Subject: bug#38529: Make --ad-hoc the default for guix environment proposed deprecation mechanism

From: zimoun <[email-masked]>
Date: Mon, 30 Dec 2019 18:55:04 +0100

Hey!

On Mon, 30 Dec 2019 at 16:06, Ludovic Courtès <[email-masked]> wrote:
> zimoun <[email-masked]> skribis:
> > On Mon, 30 Dec 2019 at 11:35, Ludovic Courtès <[email-masked]> wrote:

> > Is this statement acted? Is it the consensus by all the maintainers?
>
> All I’m saying is that what EuAndreh wrote above is correct; I’m not
> stating anything as to what solution we should implement.  :-)

Héhé, it is an answer to the questions. ;-)

> > Why do you say that "guix shell" does not reflect what the command is about?
> > Because the command spawns a new shell with options (expanding it,
> > isolating it, etc.)
>
> The command does not necessarily spawn a new shell; it spawns a command
> in a well-defined environment, and that command might be a shell.

What about "guix spawn"?

All the best,
simon